From d0462f21597174cc4fad31ad5404fbabe8e6416b Mon Sep 17 00:00:00 2001
From: Gerard Vermeulen <gerard.vermeulen@posteo.net>
Date: Sat, 30 Dec 2023 19:25:25 +0100
Subject: [PATCH] org-babel-demarcate-block: duplicate switches too

* lisp/ob-babel (org-babel-demarcate-block): duplicate switches when
the demarcation duplicates headers.
---
 lisp/ob-core.el | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/lisp/ob-core.el b/lisp/ob-core.el
index f7e4e255f..634b7626b 100644
--- a/lisp/ob-core.el
+++ b/lisp/ob-core.el
@@ -2078,6 +2078,7 @@ block of the same language with the previous."
            (save-excursion
              (goto-char place)
              (let ((lang (nth 0 info))
+                   (switches (nth 3 info))
                    (indent (make-string (org-current-text-indentation) ?\s)))
 	       (when (string-match "^[[:space:]]*$"
                                    (buffer-substring (line-beginning-position)
@@ -2089,6 +2090,8 @@ block of the same language with the previous."
 		        (if arg stars indent) "\n"
 		        indent (if upper-case-p "#+BEGIN_SRC " "#+begin_src ")
 		        lang
+                        (if (> (length switches) 1)
+                            (concat " " switches) switches)
 		        (if (> (length headers) 1)
 			    (concat " " headers) headers)
 		        (if (looking-at "[\n\r]")
-- 
2.42.0

